import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

public class LoginTests {

    WebDriver driver;
    @BeforeMethod
    public void beforeMethod(){
        System.setProperty("webdriver.chrome.driver","drivers/chromedriver.exe");
        driver = new ChromeDriver();
        driver.manage().window().maximize();
        driver.get("https://www.phptravels.net/admin");
    }

    @Test
    public void validLogin(){
        driver.findElement(By.name("email")).sendKeys("admin@phptravels.com");
        driver.findElement(By.name("password")).sendKeys("demoadmin");
        driver.findElement(By.xpath("/html/body/div[1]/form[1]/button")).click();
    }

    @Test
    public void validUserNameAndInvalidPasswordLogin(){
        driver.findElement(By.name("email")).sendKeys("admin@phptravels.com");
        driver.findElement(By.name("password")).sendKeys("123");
        driver.findElement(By.xpath("/html/body/div[1]/form[1]/button")).click();
    }

    @Test
    public void invalidUsernameAndValidPasswordLogin(){
        driver.findElement(By.name("email")).sendKeys("123");
        driver.findElement(By.name("password")).sendKeys("demoadmin");
        driver.findElement(By.xpath("/html/body/div[1]/form[1]/button")).click();
    }

    @Test
    public void invalidUsernameAndInvalidPasswordLogin(){
        driver.findElement(By.name("email")).sendKeys("123");
        driver.findElement(By.name("password")).sendKeys("123");
        driver.findElement(By.xpath("/html/body/div[1]/form[1]/button")).click();
    }

    @AfterMethod
    public void afterMethod(){
        driver.close();
    }

}
